Skip to main content
GET
/
deduction_line_items
List deduction line items
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/deduction_line_items \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/deduction_line_items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/deduction_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "deduction_line_item",
      "data": {
        "pay_stub": {
          "id": "<id>",
          "object": "pay_stub",
          "links": {
            "self": "/pay_stubs/<id>"
          }
        },
        "line_item_type": "deduction",
        "is_managed": false,
        "amount": 35,
        "custom_amount": null,
        "managed_amount": 35,
        "deduction_type": {
          "id": "<id>",
          "object": "deduction_type",
          "data": {
            "type": "income_tax",
            "label": "Income tax debt",
            "locale": "en"
          },
          "links": {
            "self": "/deduction_types/income_tax"
          }
        },
        "recurrence": null,
        "title": null,
        "title_translations": null,
        "title_translated": null,
        "remittance_account": null,
        "business_preset": null,
        "source_adjustment": null,
        "expense_accounting_code": null,
        "managed_expense_accounting_code": null,
        "custom_expense_accounting_code": null,
        "liability_accounting_code": null,
        "managed_liability_accounting_code": null,
        "custom_liability_accounting_code": null,
        "component_settings": {
          "attributes_locked": false
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/deduction_line_items/<id>"
      }
    }
  ],
  "links": {
    "first": "/deduction_line_items?pay_stub_id=<id>&page=1",
    "last": "/deduction_line_items?pay_stub_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pay_stub_id
string

Only return line items on the specified Pay Stub.

payroll_id
string

Only return line items on Pay Stubs on the specified Payroll.

payroll_status
Available options:
approved,
draft,
failed,
paid,
partially_paid,
processing
payroll_type
Available options:
correction,
historical,
off_cycle,
regular
payroll_period_start
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_start=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_period_start[gte]=2024-01-01&payroll_period_start[lt]=2024-12-31
payroll_period_end
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_period_end=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_period_end[gte]=2024-01-01&payroll_period_end[lt]=2024-12-31
payroll_pay_date
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: payroll_pay_date=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: payroll_pay_date[gte]=2024-01-01&payroll_pay_date[lt]=2024-12-31
pay_schedule_id
string

Only return line items on Pay Stubs on the specified Pay Schedule.

work_assignment_id
string

Only return line items on Pay Stubs for the specified Work Assignment.

employee_id
string

Only return line items on pay stubs for the specified Employee.

contractor_id
string

Only return line items on pay stubs for the specified Contractor.

business_entity_id
string

Only return line items on Pay Stubs under the specified Business Entity.

has_business_preset
boolean
business_preset_id
string
include_types

Only return line items with the specified types.

Available options:
charitable_donation,
garnishment_order,
income_tax,
other_deduction,
union_dues,
union_dues_post_tax
exclude_types

Only return line items without the specified types.

Available options:
charitable_donation,
garnishment_order,
income_tax,
other_deduction,
union_dues,
union_dues_post_tax
external_ref
string
expand
enum<string>[]
Available options:
business_preset,
custom_expense_accounting_code,
custom_liability_accounting_code,
custom_tag_assignment,
expense_accounting_code,
liability_accounting_code,
managed_expense_accounting_code,
managed_liability_accounting_code,
managed_tag_assignment,
pay_stub,
recurrence,
remittance_account,
source_adjustment,
tag_assignment,
tag_assignment_amounts

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]